.tiptap {
  // max-width: 1044px;
  margin: auto;
}

.tiptap p:not(table *).is-empty::before {
  color: #46464F;
  content: attr(data-placeholder);
  float: left;
  height: 0;
  pointer-events: none;
}

.ProseMirror .selection, .ProseMirror ::selection {
  background-color: rgba(0, 0, 0, .1);
}

.ProseMirror pre .selection, .ProseMirror pre ::selection {
  color: #46464F;
  background-color: #E3E1EC;
}

.ProseMirror a.link {
  font-weight: 700;
  --tw-text-opacity: 1;
  color: rgb(59 130 246 / var(--tw-text-opacity));
  text-decoration: underline;
}

.ProseMirror ul {
  list-style-type: disc;
}

.ProseMirror ol {
  list-style-type: decimal;
}

.ProseMirror pre {
  white-space: pre-wrap;
}

.ProseMirror pre {
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  border-radius: 8px;
  --tw-bg-opacity: 1;
  background-color: #1C1B1B;
  padding: 1rem;
  --tw-text-opacity: 1;
  color: #F1EEEE;
  caret-color: #F1EEEE;
}

.ProseMirror pre code {
  background-color: inherit;
  padding: 0;
  color: inherit;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.ProseMirror code {
  border-radius: 8px;
  --tw-bg-opacity: 1;
  --tw-text-opacity: 1;
  caret-color: #F1EEEE;
}

code, kbd, pre, samp {
  font-size: 1em;
}

.ProseMirror img {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.ProseMirror ol, .ProseMirror ul {
  padding: 0 1.25rem;
}

.ProseMirror [data-type=horizontalRule] {
  margin-top: 2rem;
  margin-bottom: 2rem;
  cursor: pointer;
  padding-top: 1rem;
  padding-bottom: 1rem;
  transition-property: all;
  transition-duration: .1s;
  transition-timing-function: cubic-bezier(.4,0,.2,1);
  animation-duration: .1s;
  animation-timing-function: cubic-bezier(.4,0,.2,1);
}

.ProseMirror [data-type=horizontalRule] hr {
  border-width: 1px 0 0;
  border-color: #767680;
  background-color: #767680;
}

.ProseMirror ul[data-type=taskList] li[data-checked=true] {
  text-decoration-line: line-through;
}

.ProseMirror ul[data-type=taskList] {
  list-style-type: none;
  padding: 0;
}

.ProseMirror ul[data-type=taskList] li[data-checked=true] {
  text-decoration-line: line-through;
}

.ProseMirror ul[data-type=taskList] li {
  display: flex;
}

.ProseMirror ul[data-type=taskList] li>div {
  flex: 1 1 auto;
}

.ProseMirror ul[data-type=taskList] li>label {
  margin-top: 0.35rem;
  margin-right: 0.5rem;
  flex: 1 1 auto;
  flex-shrink: 0;
  flex-grow: 0;
}

.ProseMirror [contenteditable="false"] {
  white-space: normal;
}

blockquote {
  margin-top: 8px;
  margin-bottom: 8px;
  padding-left: 1rem;
  border-left: 1px solid #767680;
}

blockquote p {
  color: #46464F !important;
}

.ProseMirror figure[data-type=blockquoteFigure] {
  margin-top: 3.5rem;
  margin-bottom: 3.5rem;
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity));
}

.ProseMirror [data-type=blockquoteFigure]>div {
  border-radius: 0.5rem;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border-left-width: 4px;
  --tw-border-opacity: 1;
  border-left-color: rgb(64 64 64 / var(--tw-border-opacity));
  --tw-bg-opacity: 0.8;
  padding: 0.5rem 1rem;
}

.ProseMirror [data-type=blockquoteFigure] blockquote, .ProseMirror>blockquote blockquote {
  margin: 0;
}

.ProseMirror blockquote .is-empty:not(.is-editor-empty):first-child:last-child:before {
  content: "Enter a quote";
}

.ProseMirror .is-empty:before {
  pointer-events: none;
  float: left;
  height: 0;
  width: 100%;
  color: rgba(0, 0, 0, .4);
}
.ProseMirror .is-empty:before {
  --tw-text-opacity: 1;
  color: rgb(115 115 115 / var(--tw-text-opacity));
}

.ProseMirror [data-type=blockquoteFigure] figcaption {
  margin-top: 1rem;
  overflow: hidden;
  font-size: .875rem;
  line-height: 1.25rem;
  --tw-text-opacity: 1;
  color: rgb(115 115 115 / var(--tw-text-opacity));
  transition-property: all;
  transition-timing-function: cubic-bezier(.4,0,.2,1);
  transition-duration: .15s;
}

.ProseMirror blockquote+figcaption.is-empty:not(.is-editor-empty):before {
  content: "Author";
}

.ProseMirror .is-empty:before {
  pointer-events: none;
  float: left;
  height: 0;
  width: 100%;
  color: rgba(0, 0, 0, .4);
}
.ProseMirror .is-empty:before {
  --tw-text-opacity: 1;
  color: rgb(115 115 115 / var(--tw-text-opacity));
}

.svn-tiptap-paragraph {
  padding-top: 4px;
  padding-bottom: 4px;
  color: #1C1B1B;
  font-family: 'Work Sans';
}

* :focus-visible {
  outline: none !important;
}

.ProseMirror {
  .tableWrapper {
    @apply m-4;
  }

  table {
    border-color: #767680;
    @apply border-collapse rounded box-border w-full;

    td,
    th {
      position: relative;
      border-color: #767680;
      @apply border min-w-[100px] p-2 relative text-left align-top;

      &:first-of-type:not(a) {
        @apply mt-0;
      }

      p {
        @apply m-0;

        & + p {
          @apply mt-3;
        }
      }
    }

    th {
      font-weight: bold;
      text-align: left;
      background-color: #E3E1EC;
    }

    .column-resize-handle {
      position: absolute;
      right: -2px;
      top: 0;
      bottom: -2px;
      width: 4px;
      background-color: #adf;
      pointer-events: none;

      &::before {
        @apply bg-black/20 h-full w-[1px] ml-2;
        content: '';
      }
    }

    .selectedCell {
      background-color: rgba(0, 0, 0, .05);
    }

    .grip-column,
    .grip-row {
      background-color: rgba(70, 70, 79, 0.08);
      @apply items-center cursor-pointer flex justify-center absolute z-10;
    }

    .grip-column {
      border-color: rgba(0, 0, 0, .2);
      @apply w-[calc(100%+1px)] border-l h-3 -left-[1px] -mt-[1px] -top-3;

      &:hover,
      &.selected {
        &::before {
          content: '';
          @apply w-2.5;
        }
      }

      &:hover {
        background-color: rgba(28, 27, 27, 0.12);

        &::before {
          @apply border-b-2 border-dotted border-black/60;
        }
      }

      &.first {
        @apply border-transparent rounded-tl-sm;
      }

      &.last {
        @apply rounded-tr-sm;
      }

      &.selected {
        border-color: rgba(0, 0, 0, .3);
        background-color: #46464F;
        @apply shadow-sm;

        &::before {
          @apply border-b-2 border-dotted;
        }
      }
    }

    .grip-row {
      border-color: rgba(0, 0, 0, .2);
      @apply h-[calc(100%+1px)] border-t -left-[13px] w-3 -mt-[1px] top-0;

      &:hover,
      &.selected {
        &::before {
          @apply h-2.5;
          content: '';
        }
      }
      &:hover {
        background-color: rgba(28, 27, 27, 0.12);

        &::before {
          @apply border-l-2 border-dotted border-black/60;
        }
      }

      &.first {
        @apply border-transparent rounded-tl-sm;
      }

      &.last {
        @apply rounded-bl-sm;
      }

      &.selected {
        border-color: rgba(0, 0, 0, .3);
        background-color: #46464F;
        @apply shadow-sm;

        &::before {
          @apply border-l-2 border-dotted;
        }
      }
    }
  }
}

.ProseMirror iframe {
  margin-top: 8px;
  margin-bottom: 8px;
  border-radius: 8px;
  display: block;
  outline: 0px solid transparent;
}

.resize-cursor {
  cursor: ew-resize;
  cursor: col-resize;
}

.hljs-comment,
.hljs-quote {
  color: #616161;
}

.hljs-variable,
.hljs-template-variable,
.hljs-attribute,
.hljs-tag,
.hljs-name,
.hljs-regexp,
.hljs-link,
.hljs-name,
.hljs-selector-id,
.hljs-selector-class {
  color: #F98181;
}

.hljs-number,
.hljs-meta,
.hljs-built_in,
.hljs-builtin-name,
.hljs-literal,
.hljs-type,
.hljs-params {
  color: #FBBC88;
}

.hljs-string,
.hljs-symbol,
.hljs-bullet {
  color: #B9F18D;
}

.hljs-title,
.hljs-section {
  color: #FAF594;
}

.hljs-keyword,
.hljs-selector-tag {
  color: #70CFF8;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: 700;
}
